<?php
$output = $title = $un_class = $link = $lat = $long = $marker = $marker_show = $size = $zoom = $mapstyle = $type = $el_class = '';
extract(shortcode_atts(array(
    'title' => '',
    'link' => '',
	'lat' => '',
	'long' => '',
	'mapstyle' => '',
    'size' => 200,
    'zoom' => 14,
    'type' => 'm',
    'el_class' => '',
	'marker' => ''
), $atts));

if ( $link == '' ) { return null; }

$el_class = $this->getExtraClass($el_class);
$mapstyle = rawurldecode(base64_decode(strip_tags($mapstyle)));
if ( $mapstyle == '' ) {
	$mapstyle = '""';
}
if ( $marker == 'yes' ) {
	$marker_show = '
		var marker = new google.maps.Marker({
			position: new google.maps.LatLng('.$lat.', '.$long.'),
			map: map
		});
	';
}
$un_class = uniqid('map',true);
$size = str_replace(array( 'px', ' ' ), array( '', '' ), $size);
$css_class =  apply_filters(VC_SHORTCODE_CUSTOM_CSS_FILTER_TAG, 'wpb_gmaps_widget wpb_content_element'.$el_class, $this->settings['base']);
$output .= "\n\t".'<div class="'.$css_class.'">';
$output .= "\n\t\t".'<div class="wpb_wrapper">';
$output .= wpb_widget_title(array('title' => $title, 'extraclass' => 'wpb_map_heading'));
$output .= '
<script type="text/javascript" src="https://maps.googleapis.com/maps/api/js?key='.$link.'&sensor=false">
</script>
<script type="text/javascript">
	function initialize() {
		var mapStyles = '.$mapstyle.';
		var mapType = "'.$type.'";
		var mapOptions = {
			center: new google.maps.LatLng('.$lat.', '.$long.'),
			zoom: '.$zoom.',
			scrollwheel: false,
			scaleControl: false,
			overviewMapControl: false,
			mapTypeControl: false,
			streetViewControl: false,
			zoomControl: true,
			mapTypeId: google.maps.MapTypeId.'.$type.',
		};
		var map = new google.maps.Map(document.getElementById("map-canvas-'.$un_class.'"),
		mapOptions);
		if ( mapStyles != "" && mapType == "ROADMAP" ) {
			map.setOptions({styles: mapStyles});
		}
		'.$marker_show.'
	}
	google.maps.event.addDomListener(window, "load", initialize);
</script>
<div id="map-canvas-'.$un_class.'" style="height:'.$size.'px;">
</div>
';

$output .= "\n\t\t".'</div> '.$this->endBlockComment('.wpb_wrapper');
$output .= "\n\t".'</div> '.$this->endBlockComment('.wpb_gmaps_widget');

echo $output;